Skip to main content
GET
Get External Task Log

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the log entry.

Response

Request successful.

id
string | null

The id of the log entry.

externalTaskId
string | null

The id of the external task.

timestamp
string<date-time> | null

The time when the log entry has been written.

topicName
string | null

The topic name of the associated external task.

workerId
string | null

The id of the worker that posessed the most recent lock.

retries
integer<int32> | null

The number of retries the associated external task has left.

priority
integer<int64> | null

The execution priority the external task had when the log entry was created.

errorMessage
string | null

The message of the error that occurred by executing the associated external task.

activityId
string | null

The id of the activity on which the associated external task was created.

activityInstanceId
string | null

The id of the activity instance on which the associated external task was created.

executionId
string | null

The execution id on which the associated external task was created.

processInstanceId
string | null

The id of the process instance on which the associated external task was created.

processDefinitionId
string | null

The id of the process definition which the associated external task belongs to.

processDefinitionKey
string | null

The key of the process definition which the associated external task belongs to.

tenantId
string | null

The id of the tenant that this historic external task log entry belongs to.

creationLog
boolean | null

A flag indicating whether this log represents the creation of the associated external task.

failureLog
boolean | null

A flag indicating whether this log represents the failed execution of the associated external task.

successLog
boolean | null

A flag indicating whether this log represents the successful execution of the associated external task.

deletionLog
boolean | null

A flag indicating whether this log represents the deletion of the associated external task.

removalTime
string<date-time> | null

The time after which this log should be removed by the History Cleanup job. Default format yyyy-MM-dd'T'HH:mm:ss.SSSZ. For further information, please see the documentation

rootProcessInstanceId
string | null

The process instance id of the root process instance that initiated the process containing this log.